using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class CompanyInfo : DataEntityBase
	{
		public CompanyInfo()
		{
			base.InitMetaData();
		}

		private System.Int32 _CompanyID;
		public System.Int32 CompanyID
		{
			get
			{
				return this._CompanyID;
			}
			set
			{
				this._CompanyID = value;
				IsChanged = true;
			}
		}

		private System.String _CompanyName;
		public System.String CompanyName
		{
			get
			{
				return this._CompanyName;
			}
			set
			{
				this._CompanyName = value;
				IsChanged = true;
			}
		}

		private System.String _EMail;
		public System.String EMail
		{
			get
			{
				return this._EMail;
			}
			set
			{
				this._EMail = value;
				IsChanged = true;
			}
		}

		private System.String _Address;
		public System.String Address
		{
			get
			{
				return this._Address;
			}
			set
			{
				this._Address = value;
				IsChanged = true;
			}
		}

		private System.String _Telephone;
		public System.String Telephone
		{
			get
			{
				return this._Telephone;
			}
			set
			{
				this._Telephone = value;
				IsChanged = true;
			}
		}

		private System.String _Fax;
		public System.String Fax
		{
			get
			{
				return this._Fax;
			}
			set
			{
				this._Fax = value;
				IsChanged = true;
			}
		}

		private System.String _Mobile;
		public System.String Mobile
		{
			get
			{
				return this._Mobile;
			}
			set
			{
				this._Mobile = value;
				IsChanged = true;
			}
		}

		private System.Int32 _RegionID;
		public System.Int32 RegionID
		{
			get
			{
				return this._RegionID;
			}
			set
			{
				this._RegionID = value;
				IsChanged = true;
			}
		}

		private System.String _RegionIDPath;
		public System.String RegionIDPath
		{
			get
			{
				return this._RegionIDPath;
			}
			set
			{
				this._RegionIDPath = value;
				IsChanged = true;
			}
		}

		private System.String _RegionNamePath;
		public System.String RegionNamePath
		{
			get
			{
				return this._RegionNamePath;
			}
			set
			{
				this._RegionNamePath = value;
				IsChanged = true;
			}
		}

		private System.String _CASN;
		public System.String CASN
		{
			get
			{
				return this._CASN;
			}
			set
			{
				this._CASN = value;
				IsChanged = true;
			}
		}

		private System.String _EACertification;
		public System.String EACertification
		{
			get
			{
				return this._EACertification;
			}
			set
			{
				this._EACertification = value;
				IsChanged = true;
			}
		}

		private System.Int16 _Status;
		public System.Int16 Status
		{
			get
			{
				return this._Status;
			}
			set
			{
				this._Status = value;
				IsChanged = true;
			}
		}

		private System.Int16 _AuthStatus;
		public System.Int16 AuthStatus
		{
			get
			{
				return this._AuthStatus;
			}
			set
			{
				this._AuthStatus = value;
				IsChanged = true;
			}
		}

		private System.Int32 _CurrentUserCount;
		public System.Int32 CurrentUserCount
		{
			get
			{
				return this._CurrentUserCount;
			}
			set
			{
				this._CurrentUserCount = value;
				IsChanged = true;
			}
		}

		private System.Int32 _MaxUserCount;
		public System.Int32 MaxUserCount
		{
			get
			{
				return this._MaxUserCount;
			}
			set
			{
				this._MaxUserCount = value;
				IsChanged = true;
			}
		}

		private System.DateTime _CreateTime;
		public System.DateTime CreateTime
		{
			get
			{
				return this._CreateTime;
			}
			set
			{
				this._CreateTime = value;
				IsChanged = true;
			}
		}

		private System.Int32 _CreateUser;
		public System.Int32 CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateTime;
		public System.DateTime UpdateTime
		{
			get
			{
				return this._UpdateTime;
			}
			set
			{
				this._UpdateTime = value;
				IsChanged = true;
			}
		}

		private System.Int32 _UpdateUser;
		public System.Int32 UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}
	}
}